// Generated by gencpp from file ur_application/Consigne.msg
// DO NOT EDIT!


#ifndef UR_APPLICATION_MESSAGE_CONSIGNE_H
#define UR_APPLICATION_MESSAGE_CONSIGNE_H


#include <string>
#include <vector>
#include <map>

#include <ros/types.h>
#include <ros/serialization.h>
#include <ros/builtin_message_traits.h>
#include <ros/message_operations.h>


namespace ur_application
{
template <class ContainerAllocator>
struct Consigne_
{
  typedef Consigne_<ContainerAllocator> Type;

  Consigne_()
    : x(0.0)
    , y(0.0)
    , z(0.0)
    , alpha(0.0)
    , beta(0.0)
    , gamma(0.0)  {
    }
  Consigne_(const ContainerAllocator& _alloc)
    : x(0.0)
    , y(0.0)
    , z(0.0)
    , alpha(0.0)
    , beta(0.0)
    , gamma(0.0)  {
  (void)_alloc;
    }



   typedef double _x_type;
  _x_type x;

   typedef double _y_type;
  _y_type y;

   typedef double _z_type;
  _z_type z;

   typedef double _alpha_type;
  _alpha_type alpha;

   typedef double _beta_type;
  _beta_type beta;

   typedef double _gamma_type;
  _gamma_type gamma;





  typedef boost::shared_ptr< ::ur_application::Consigne_<ContainerAllocator> > Ptr;
  typedef boost::shared_ptr< ::ur_application::Consigne_<ContainerAllocator> const> ConstPtr;

}; // struct Consigne_

typedef ::ur_application::Consigne_<std::allocator<void> > Consigne;

typedef boost::shared_ptr< ::ur_application::Consigne > ConsignePtr;
typedef boost::shared_ptr< ::ur_application::Consigne const> ConsigneConstPtr;

// constants requiring out of line definition



template<typename ContainerAllocator>
std::ostream& operator<<(std::ostream& s, const ::ur_application::Consigne_<ContainerAllocator> & v)
{
ros::message_operations::Printer< ::ur_application::Consigne_<ContainerAllocator> >::stream(s, "", v);
return s;
}


template<typename ContainerAllocator1, typename ContainerAllocator2>
bool operator==(const ::ur_application::Consigne_<ContainerAllocator1> & lhs, const ::ur_application::Consigne_<ContainerAllocator2> & rhs)
{
  return lhs.x == rhs.x &&
    lhs.y == rhs.y &&
    lhs.z == rhs.z &&
    lhs.alpha == rhs.alpha &&
    lhs.beta == rhs.beta &&
    lhs.gamma == rhs.gamma;
}

template<typename ContainerAllocator1, typename ContainerAllocator2>
bool operator!=(const ::ur_application::Consigne_<ContainerAllocator1> & lhs, const ::ur_application::Consigne_<ContainerAllocator2> & rhs)
{
  return !(lhs == rhs);
}


} // namespace ur_application

namespace ros
{
namespace message_traits
{





template <class ContainerAllocator>
struct IsFixedSize< ::ur_application::Consigne_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsFixedSize< ::ur_application::Consigne_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::ur_application::Consigne_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::ur_application::Consigne_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct HasHeader< ::ur_application::Consigne_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct HasHeader< ::ur_application::Consigne_<ContainerAllocator> const>
  : FalseType
  { };


template<class ContainerAllocator>
struct MD5Sum< ::ur_application::Consigne_<ContainerAllocator> >
{
  static const char* value()
  {
    return "dbadb174d44d322fcf4d588e4c2d44a5";
  }

  static const char* value(const ::ur_application::Consigne_<ContainerAllocator>&) { return value(); }
  static const uint64_t static_value1 = 0xdbadb174d44d322fULL;
  static const uint64_t static_value2 = 0xcf4d588e4c2d44a5ULL;
};

template<class ContainerAllocator>
struct DataType< ::ur_application::Consigne_<ContainerAllocator> >
{
  static const char* value()
  {
    return "ur_application/Consigne";
  }

  static const char* value(const ::ur_application::Consigne_<ContainerAllocator>&) { return value(); }
};

template<class ContainerAllocator>
struct Definition< ::ur_application::Consigne_<ContainerAllocator> >
{
  static const char* value()
  {
    return "float64 x\n"
"float64 y\n"
"float64 z\n"
"float64 alpha\n"
"float64 beta\n"
"float64 gamma\n"
;
  }

  static const char* value(const ::ur_application::Consigne_<ContainerAllocator>&) { return value(); }
};

} // namespace message_traits
} // namespace ros

namespace ros
{
namespace serialization
{

  template<class ContainerAllocator> struct Serializer< ::ur_application::Consigne_<ContainerAllocator> >
  {
    template<typename Stream, typename T> inline static void allInOne(Stream& stream, T m)
    {
      stream.next(m.x);
      stream.next(m.y);
      stream.next(m.z);
      stream.next(m.alpha);
      stream.next(m.beta);
      stream.next(m.gamma);
    }

    ROS_DECLARE_ALLINONE_SERIALIZER
  }; // struct Consigne_

} // namespace serialization
} // namespace ros

namespace ros
{
namespace message_operations
{

template<class ContainerAllocator>
struct Printer< ::ur_application::Consigne_<ContainerAllocator> >
{
  template<typename Stream> static void stream(Stream& s, const std::string& indent, const ::ur_application::Consigne_<ContainerAllocator>& v)
  {
    s << indent << "x: ";
    Printer<double>::stream(s, indent + "  ", v.x);
    s << indent << "y: ";
    Printer<double>::stream(s, indent + "  ", v.y);
    s << indent << "z: ";
    Printer<double>::stream(s, indent + "  ", v.z);
    s << indent << "alpha: ";
    Printer<double>::stream(s, indent + "  ", v.alpha);
    s << indent << "beta: ";
    Printer<double>::stream(s, indent + "  ", v.beta);
    s << indent << "gamma: ";
    Printer<double>::stream(s, indent + "  ", v.gamma);
  }
};

} // namespace message_operations
} // namespace ros

#endif // UR_APPLICATION_MESSAGE_CONSIGNE_H
